it is possible to use the Align command on an adaptive point (once inserted in the model). It seems that when I try to align an adaptive point to something, it moves the entire family. However, when I attach dimensions to each point, the points move independent of their context.
How to set 2 adaptive points (AP) to control the position and diameter of a circle. Have tried setting a ref plane driven by circle dia param but justs results in overconstrain when flexed. Is it possible to a) lock the centre to an AP and lock redius to AP?
Is it possible also to lock a ref plane to an AP so that the AP drives it rather than the other way round?
I'm getting an error message that I don’t fully understand when using an adaptive component. "There is only one component in this repeater" I am trying to create a undulating ceiling and attach an adaptive "Rafter" to follow the form. I can occasionally get it to work but on occasion I receive the error message. I can send you the file if you like, I’m pretty sure it’s a “User Issue”!RAC 2013
I have been told that it is to do with the direction that I draw the curves but I would like a more indepth explanation of this error...
The other issue I'm having may have to do with the placement of the adaptive component on the node plane, depending on where I place the component it will change the orientation if the rafter...
I have created a "Jersey Barrier" as an adaptive component (attached). It is basically a profile extruded along a series of reference lines hooked to adaptive points.
In some plan views, under certain geometric configurations, the extrusion disappears in the view. The points highlight if you mouse over them. In a parallel 3D view, the component is still there. If I adjust the geometry in certain ways, the component will reappear in the plan view.
Here is an isolated view (3D on left, plan on right) with a configuration where the object does not appear in plan.here's a view where I have moved one of the adaptive points, and it appears in plan.
I've got two layers that need to be aligned, but are currently at different scales. In Illustrator, aligning two objects (lets call them A and B ) at different scales is an easy two step process: drag point A1 to point B1; then move the reference point to A1/B1 and scale-drag point A2 until it's on top of point B2. Voilà ! But in Photoshop I can't seem to scale except with corner handles or numerical input, and neither is convenient for this purpose. Is there something comparable to Illustator's scale tool in Photoshop?
I'm trying to Align the Z Axis with 2 points, that works but I'm 90deg off around the Z Axis.
Shared Function UCSAlignZaxix(ByVal Point1 As Point3d, ByVal Point2 As Point3d) As Matrix3d
Try Dim ZAxis As Vector3d = Point1.GetVectorTo(Point2).GetNormal Dim yAxis As Vector3d = ZAxis.GetPerpendicularVector.GetNormal Dim xAxis As Vector3d = yAxis.CrossProduct(ZAxis).GetNormal Dim NewMatrix3d As Matrix3d = Matrix3d.AlignCoordinateSystem(Point3d.Origin, Vector3d.XAxis, Vector3d.YAxis, Vector3d.ZAxis, Point1, xAxis, yAxis, ZAxis) Return NewMatrix3d Catch Return Nothing End Try End Function
I'm trying to create an adaptive family (a concrete bleacher/bench) that mitres to its adjoining instances when placed in a project (see attached images).
The family is not acting as I intend it to when loaded into the project (bottom right image). I've created six adaptive points which are intended to correspond to refeence points in the project.
I think the problem has to do with the faces of the extrusion, they don't seem to be able to align to an angled reference plane. How the extrusion can expand/contract in a linear fashion and have ends that mitre adaptively?
I would like to make a block with 2 points and I would like them to follow a line with those 2 points..
Same as you can use the measure command to put blocks on a line with a pitch distance I would like to do the same but the block schould snap with 2 points on the line.
I drew a Gmask with 4 points and broke the handles. My questions is:
1. How do I know when 2 or more points are exactly on the same vertical or horizontal line? 2. How do i get them to align? 3. How do I move 2 or more points together? (Control select and drag)?
I am trying to write a program to align a block with two selected destination points. - first the user is prompted to select a lwpolyline of a block entity - then he is prompted to pick two destination points
I face problem with the sub-routine SegmentPts. It is supposed to return the coordinates of two vertexes on both sides of the picked point on a lwpolyline using entsel. But here in my program, when i am picking a point using entsel on a lwpolyline inside a block entity, it is not returning the two vertexes on both sides of the picked point. In stead, it returns some other points of the selected LWPOLYLINE. Why it is doing so? Where is the problem in my program?
It works fine with my other programs where i pick on a LWPOLYLINE entity. In this particular case, the LWPOLYLINE is inside a Block entity and the program is not returning correct points.
Please check Lisp Program below:
(defun C:alb() (setq ent1 (entsel " Pick on one side of LWLINE ofa Block:" )) (setq ent (nentselp (cadr ent1))) [code]........
i`m trying to import basement and 1 storey plan from autocad to each different plan view under revit and build up the model ffrom there. is there anyway to align the plan?
is there a way to cut/copy a view off of a sheet and paste it onto another sheet in the same exact location (paste aligned)?
For example i have three elevations on one sheet...i would like to keep one on that sheet and cut and paste the other two onto another sheet in the same locations...possible?
If I have several sheets of several floors, and I want the views in each sheet to be positioned at exactly the same position. How do I best accomplish that?
You can use the "Guide Grid" to place the views on a sheet. Then you can align the view (using the grid lines) to this guide grid. In the other sheets, you can use again the same guide grid, just select the guide grid name in the properties of the sheet.
Additional information about guide grid is available in the Revit help, search for "Aligning views on a sheet" or "Guide Grid".
I've utilized the Plywood-Section detail component out of the Imperial
Library, and it runs left-to-right, no matter the orientation of the element I drew. Messing with the Fill Pattern settings, it looks identical if I set the Plywood-Align pattern to "Align to Element", or "Orient to View". Nothing changes.
I have modeled a building that's a typical shoe box (rectangular shape building).
When I searched the address in Google earth, the true north of the site is not perpendicular to the building: it's angled.
When I chose "Acquire from Google earth" at the Site level, it gave me exactly what I saw in Google earth.
My question is:
I have finished the model of the building in Revit which doesn't align with what I acquired from Google earth. How do you align the model to the Google earth image? Do you have to literally rotate the entire building to align the Google earth image?
Also is there a difference between Google earth and Google earth pro for this task?
Occasionally paragraph allignment works opposite for left & right align, usually on Illustrator documents with Russian type.
In additon on center align text I set my cursor to input a period at the end of a sentence, and the period instead gets added to the beginning.
In character palette language is set to English USA, this is point text.
I created a new point text and this is happening, if I paste text from another document alignment works fine, font is Arial black but happens with all fonts.
I downloaded an ACS point file for LiDAR data. I was able to successfully connect it to Autocad Map 3D, and generate a surface.This is the ACS file: URL....
However when I tried to import it in Revit via Massing&Site->Topo-> Import Point File, after converting it to CSV in Microsoft Excel I get the message "No points were found in the file."
Also, the ASC file fails to import in Autodesk Recap.This is the converted CVS file: URL....I suspect that the problem might be in the ASC to CVS conversion. Any settings on doing the conversion differently?
When I add a wall or door the reference dimensions default to the center of the wall or door, etc. Is there any way to have these reference dimensions default to the structural face of a wall instead of continually dragging with everything I draw?
I'm trying to align a nested family to a reference line in my host family so that it rotates around a certain point.
I've created the reference line in my host family, locked the end point to two reference planes and then gave an angular parameter to the angle between the ref. line and the ref. plane.
I then inserted the nested family and aligned it to the ref. line. The problem is that when I flex the angle, i get a "Constraints not satisfied" error..
What could be wrong?
I'm using a generic face based family for both host and nested families...
I have an image of a site. I have used the points to trace over the contour lines. I would like to "Drape" or attach the site image to the toposurface for a presentation without having to create all of the site features manually. Is there a way to do this
I am trying to align the curtain wall with the edge of the concrete slab/face of wood framed wall (Core). I have tried to align and move however the whole wall moves as well as the edge of the slab. How I can move the Curtain wall leaving the other elements in place?